/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { GeographicXYTriangulatingSeriesDescription } from "./GeographicXYTriangulatingSeriesDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export class GeographicScatterAreaSeriesDescription extends GeographicXYTriangulatingSeriesDescription {
    constructor() {
        super();
        this.ca = null;
        this.b8 = null;
        this.cb = null;
    }
    get_type() {
        return "GeographicScatterAreaSeries";
    }
    get colorMemberPath() {
        return this.ca;
    }
    set colorMemberPath(a) {
        this.ca = a;
        this.e("ColorMemberPath");
    }
    get colorScale() {
        return this.b8;
    }
    set colorScale(a) {
        this.b8 = a;
        this.e("ColorScale");
    }
    get triangulationStatusChangedRef() {
        return this.cb;
    }
    set triangulationStatusChangedRef(a) {
        this.cb = a;
        this.e("TriangulationStatusChangedRef");
    }
}
GeographicScatterAreaSeriesDescription.$t = markType(GeographicScatterAreaSeriesDescription, 'GeographicScatterAreaSeriesDescription', GeographicXYTriangulatingSeriesDescription.$);
